From 8793fd5b80e3c269bac84cda175f5bf9987eea99 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Feb 13 2024 19:49:00 +0000
Subject: F-40: Update for branching


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 8c35a1c..7bed0b4 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -203,7 +203,7 @@ translate_paths = [
 ]
 
 # These will be inherited by live_media, live_images and image_build
-global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#HEAD'
+global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#origin/f40'
 global_release = '!RELEASE_FROM_LABEL_DATE_TYPE_RESPIN'
 global_version = '40'
 # live_images ignores this in favor of live_target
@@ -217,9 +217,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -228,9 +228,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
       },
@@ -240,9 +240,9 @@ osbuild = {
         "image_types": ["iot-bootable-container"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
         "failable": ["*"],
       },
@@ -256,14 +256,14 @@ ostree = {
             "unified_core": True,
             "treefile": "fedora-iot.yaml",
             "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "main",
+            "config_branch": "f40",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/rawhide/${basearch}/iot",
+            "ostree_ref": "fedora/devel/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
diff --git a/twoweek-nightly.sh b/twoweek-nightly.sh
index 717a35f..95a15fd 100755
--- a/twoweek-nightly.sh
+++ b/twoweek-nightly.sh
@@ -18,7 +18,7 @@ TMPDIR=`mktemp -d /tmp/$RELEASE.$DATE.XXXX`
 TOMAIL="iot@lists.fedoraproject.org"
 FROM="Fedora IoT Report <rawhide@fedoraproject.org>"
 RSYNCPREFIX="sudo -u ftpsync"
-RSYNCTARGET="/pub/alt/iot/rawhide/"
+RSYNCTARGET="/pub/alt/iot/branched/"
 OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-$RELEASE_TITLE/COMPOSE_ID)
 
 # assume a releng dir is a git checkout of the releng repo

